Subject: Re: igb bandwidth allocation configuration

From: Simon Horman <[email-masked]>
Date: Thu, 17 Sep 2009 11:09:35 +1000

On Wed, Sep 16, 2009 at 08:29:26AM +1000, Simon Horman wrote:
> On Tue, Sep 15, 2009 at 11:01:52AM -0700, Alexander Duyck wrote:
> > Or Gerlitz wrote:
> > >If the rate limiter is exposed as a feature of the VF, it doesn't
> > >matter who really enforces it, the "VF portion" of the HW or the
> > >PF itself. I agree that if you have to program the PF for the rate
> > >of a specific VF, then its more complex. Basically, I would expect
> > >that a VF can be configured with <mac, vlad-id, priority, rate>
> > >such that it can be done where the VF NIC is spawned, host kernel
> > >or guest kernel.
> > 
> > Adding the rate limiter as a feature of the VF doesn't make much
> > sense since the VF could be direct assigned to another OS for all we
> > know so we won't have control over it from there.
> > 
> > The interface for all of this would make sense as part of a virtual
> > ethernet switch control which is the way I am currently leaning on
> > all this.  As such it is probably another thing we can bring up at
> > the BOF session at the Linux Plumbers Conference.
> 
> Unfortunately I won't be able to make it to the BOF or Plumbers.
> I look forward to hearing what is discussed.

Is there any chance of being able to participate in this remotely,
even just a listen-only feed of some sort would be quite valuable to me
and possibly others.

------------------------------------------------------------------------------
Come build with us! The BlackBerry&reg; Developer Conference in SF, CA
is the only developer event you need to attend this year. Jumpstart your
developing skills, take BlackBerry mobile applications to market and stay 
ahead of the curve. Join us from November 9&#45;12, 2009. Register now&#33;
http://p.sf.net/sfu/devconf